From 07366a0b8cb4ef30a811e4ee159f4161b8d7ade1 Mon Sep 17 00:00:00 2001
From: David Rowley <dgrowley@gmail.com>
Date: Tue, 10 Dec 2024 14:44:58 +1300
Subject: [PATCH v5 2/2] Enable auto_explain.log_buffers by default

Now that EXPLAIN ANALAYZE causes BUFFERS to be enabled by default,
adjust auto_explain.log_buffers to default to on.

Author: Guillaume Lelarge
Reviewed-by: Robert Haas
Discussion: https://postgr.es/m/CA+TgmoZO2HtDGHf7K4rmNdfUGuS=ngsPgwrH=JdyF6Okcnzfkw@mail.gmail.com
---
 contrib/auto_explain/auto_explain.c | 4 ++--
 doc/src/sgml/auto-explain.sgml      | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/contrib/auto_explain/auto_explain.c b/contrib/auto_explain/auto_explain.c
index f2eaa8e494..17abd24ea1 100644
--- a/contrib/auto_explain/auto_explain.c
+++ b/contrib/auto_explain/auto_explain.c
@@ -27,7 +27,7 @@ static int	auto_explain_log_min_duration = -1; /* msec or -1 */
 static int	auto_explain_log_parameter_max_length = -1; /* bytes or -1 */
 static bool auto_explain_log_analyze = false;
 static bool auto_explain_log_verbose = false;
-static bool auto_explain_log_buffers = false;
+static bool auto_explain_log_buffers = true;
 static bool auto_explain_log_wal = false;
 static bool auto_explain_log_triggers = false;
 static bool auto_explain_log_timing = true;
@@ -152,7 +152,7 @@ _PG_init(void)
 							 "Log buffers usage.",
 							 NULL,
 							 &auto_explain_log_buffers,
-							 false,
+							 true,
 							 PGC_SUSET,
 							 0,
 							 NULL,
diff --git a/doc/src/sgml/auto-explain.sgml b/doc/src/sgml/auto-explain.sgml
index 0c4656ee30..6623d36c99 100644
--- a/doc/src/sgml/auto-explain.sgml
+++ b/doc/src/sgml/auto-explain.sgml
@@ -122,7 +122,7 @@ LOAD 'auto_explain';
       equivalent to the <literal>BUFFERS</literal> option of <command>EXPLAIN</command>.
       This parameter has no effect
       unless <varname>auto_explain.log_analyze</varname> is enabled.
-      This parameter is off by default.
+      This parameter is on by default.
       Only superusers can change this setting.
      </para>
     </listitem>
-- 
2.34.1

